> ## Documentation Index
> Fetch the complete documentation index at: https://developer.noodle.cx/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar URLs de Webhook

> Use este endpoint para listar todas as URLs de webhook cadastradas.



## OpenAPI

````yaml api-reference/openapi.json get /webhooks
openapi: 3.1.0
info:
  title: Noodle API
  contact:
    name: Time de Engenharia da Noodle
    url: https://www.noodle.cx/contato
    email: dev@noodle.cx
  version: 1.0.0
servers:
  - url: https://production.api.noodle.cx/external
    description: Servidor de Produção
  - url: https://homolog.api.noodle.cx/external
    description: Servidor de Homologação (Staging)
security: []
paths:
  /webhooks:
    get:
      tags:
        - Webhooks
      summary: Listar URLs de Webhook
      description: Use este endpoint para listar todas as URLs de webhook cadastradas.
      operationId: list_webhook_urls_webhooks_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookUrlListResponse'
      security:
        - APIKeyHeader: []
components:
  schemas:
    WebhookUrlListResponse:
      properties:
        webhooks:
          items:
            $ref: '#/components/schemas/WebhookUrlResponse'
          type: array
          title: Webhooks
          description: Lista de URLs de webhook configuradas
        total:
          type: integer
          title: Total
          description: Total de webhooks configurados
      type: object
      required:
        - webhooks
        - total
      title: WebhookUrlListResponse
    WebhookUrlResponse:
      properties:
        id:
          type: string
          title: Id
          description: ID único da configuração de webhook
        webhook_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Webhook Url
          description: URL do webhook
        active:
          type: boolean
          title: Active
          description: Status ativo/inativo do webhook
        created_at:
          type: string
          title: Created At
          description: Data de criação
      type: object
      required:
        - id
        - webhook_url
        - active
        - created_at
      title: WebhookUrlResponse
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.